Cameo Collaborator 18.0 SP4 Documentation

Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 9 Next »

Since Cameo Collaborator is based on Alfresco Community, you need to install and configure Alfresco Community to be able to use Cameo Collaborator. Before you begin the installation, go to the Download Cameo Collaborator page and obtain the following files:

  • Alfresco Community installer 201605.

    Important

    We recommend using Alfresco Community 201605, but Cameo Collaborator also works with Alfresco Community 5.0.d. For information on how to upgrade Alfresco Community, refer to the Upgrading instructions in Alfresco documentation.

    Note that after upgrading Alfresco Community, you need to migrate the database to the new version as well. Database migration is your responsibility.

  • cameo-collaborator-share-<version number>.amp
  • cameo-collaborator-repo-<version number>.amp

 

Warning

Before you start the procedure, make sure that the architecture meets the prerequisites for the Alfresco Community installation.

To validate the architecture, follow the steps described in Alfresco Community Documentation. Pay special attention to the Database validation step to ensure the prevention of the data loss due to database failure when using Cameo Collaborator.

 

To install Alfresco Community and configure it for Cameo Collaborator


  1. Start Alfresco Community installer 201605.
  2. In the Language Selection dialog, select English - English (if not yet selected), and click OK.
  3. In the Alfresco Community setup wizard, click Next.
  4. Select Easy - Install using the default configuration (if not yet selected), and click Next.
  5. Select the folder where you want to install Alfresco Community, and click Next.
  6. Type the password for the administrator account (for example, admin), and click Next.
  7. Click Next once again to begin the installation.
  8. When the installation is complete (this may take 1-15 min.), clear all the check boxes in the setup wizard, and click the Finish button.



  9. Move the cameo-collaborator-share-<version number>.amp file to the <Alfresco Community installation directory>\amps_share directory, e.g., C:\alfresco-community\amps_share.
  10. Move the cameo-collaborator-repo-<version number>.amp file to the <Alfresco Community installation directory>\amps directory.
  11. Open the commad-line interface.

    Note

    Ensure that you run the application as administrator.

  12. Using the command-line, go to <Alfresco Community installation directory>\bin.
  13. In the command line, type apply_amps.bat and press Enter.

  14. Press Enter twice again when you are asked to do so.
  15. Close the command-line interface. 

  16. Starting Cameo Collaborator.


Getting ready for publishing projects

To be able to publish projects to Cameo Collaborator, you need to:

  1. Install one of the following No Magic's modeling tools:

    To choose the suitable version of a modeling tool, check the compatibility table of Cameo Collaborator Publisher Plugin.

  2. Install Cameo Collaborator Publisher Plugin 18.0 SP5 to your modeling tool.

  • No labels